#!/bin/sh

CONFIG_SHELL=/bin/sh
export CONFIG_SHELL
PREFIX=/opt/openwiz/toolchain/arm-openwiz-linux-gnu
TARGET=arm-openwiz-linux-gnu
#export LD_LIBRARY_PATH=/toolchain/arm-openwiz-linux-gnu/lib

PATH="$PREFIX:$PREFIX/bin:$PREFIX/$TARGET/bin:$PATH"
export PATH

export LDFLAGS=-L/toolchain/arm-openwiz-linux-gnu/lib
export CPPFLAGS=-I/toolchain/arm-openwiz-linux-gnu/include
export CXXFLAGS=-I/toolchain/arm-openwiz-linux-gnu/include
export CFLAGS=-I/toolchain/arm-openwiz-linux-gnu/include

cache=cross-config.cache
sh configure --cache-file="$cache" \
	--target=$TARGET --host=$TARGET --build=i386-linux --prefix=$PREFIX --enable-shared --enable-320x240 --enable-gp2x \
	$*
status=$?
rm -f "$cache"
exit $status
